package com.gic.haoban.manage.api.enums.contact;

public enum ContactAutoTypeEnum {

    // 自动建联类型 10话务任务 20企微群发 30发送商品 40发送素材
    CALL_TASK(10, "专属导购通过话务任务成功触达客户"),
    QW_TASK(20, "专属导购通过企微群发任务成功触达了客户"),
    GOODS_RECOMMEND(30, "专属导购通过\"智能选款\"或\"意向客户\"给客户发送了商品"),
    MATERIAL(40, "专属导购通过\"聊天工具栏\"或\"企微群发\"给客户发送了营销素材");

    private final int code;
    private final String description;

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    ContactAutoTypeEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public static ContactAutoTypeEnum fromCode(int code) {
        for (ContactAutoTypeEnum type : values()) {
            if (type.code == code) {
                return type;
            }
        }
        return null;
    }
}